--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

connect "SYS"/"&&sysPassword" as SYSDBA

CREATE USER &&DBA_USER  PROFILE DEFAULT
    IDENTIFIED BY "&&DBA_PASSWORD" DEFAULT TABLESPACE USERS
    ACCOUNT UNLOCK;
GRANT DBA TO &&DBA_USER WITH ADMIN OPTION;

CREATE USER CONFIG  PROFILE DEFAULT 
    IDENTIFIED BY nopassword PASSWORD EXPIRE DEFAULT TABLESPACE
    USERS 
    ACCOUNT LOCK;

CREATE USER &&NF_SCHEMA  PROFILE DEFAULT 
    IDENTIFIED BY nopassword PASSWORD EXPIRE DEFAULT TABLESPACE
    USERS 
    ACCOUNT LOCK;
    
CREATE USER &&STAR_SCHEMA  PROFILE DEFAULT 
    IDENTIFIED BY nopassword PASSWORD EXPIRE DEFAULT TABLESPACE
    USERS 
    ACCOUNT LOCK;    
GRANT SELECT ANY TABLE TO &&STAR_SCHEMA WITH ADMIN OPTION;
    
CREATE USER &&REP_USER  PROFILE DEFAULT 
    IDENTIFIED BY "&&REP_PASSWD" DEFAULT TABLESPACE USERS
    ACCOUNT UNLOCK;
GRANT CONNECT TO &&REP_USER;    

CREATE USER &&RIASSET  PROFILE DEFAULT 
    IDENTIFIED BY nopassword PASSWORD EXPIRE DEFAULT TABLESPACE
    USERS 
    ACCOUNT LOCK;
    
CREATE USER &&RISCHK  PROFILE DEFAULT 
    IDENTIFIED BY nopassword PASSWORD EXPIRE DEFAULT TABLESPACE
    USERS 
    ACCOUNT LOCK;    
    
ALTER USER CONFIG QUOTA UNLIMITED ON VNF_32K;
ALTER USER CONFIG QUOTA UNLIMITED ON VNF_IDX;
ALTER USER CONFIG QUOTA UNLIMITED ON USERS;

ALTER USER &&NF_SCHEMA QUOTA UNLIMITED ON VNF_32K;
ALTER USER &&NF_SCHEMA QUOTA UNLIMITED ON VNF_IDX;
ALTER USER &&NF_SCHEMA QUOTA UNLIMITED ON USERS;

ALTER USER &&STAR_SCHEMA QUOTA UNLIMITED ON VSTR_32K;
ALTER USER &&STAR_SCHEMA QUOTA UNLIMITED ON VSTR_IDX;
ALTER USER &&STAR_SCHEMA QUOTA UNLIMITED ON USERS;

ALTER USER CONFIG TEMPORARY TABLESPACE RIS_TEMP;
ALTER USER &&NF_SCHEMA TEMPORARY TABLESPACE RIS_TEMP;
ALTER USER &&STAR_SCHEMA TEMPORARY TABLESPACE RIS_TEMP;
ALTER USER &&REP_USER TEMPORARY TABLESPACE RIS_TEMP;

ALTER USER &&RIASSET QUOTA UNLIMITED ON VNF_32K;  
ALTER USER &&RIASSET QUOTA UNLIMITED ON VNF_IDX;  
ALTER USER &&RIASSET QUOTA UNLIMITED ON USERS;
ALTER USER &&RIASSET TEMPORARY TABLESPACE RIS_TEMP;

ALTER USER &&RISCHK QUOTA UNLIMITED ON VNF_32K;  
ALTER USER &&RISCHK QUOTA UNLIMITED ON VNF_IDX;  
ALTER USER &&RISCHK QUOTA UNLIMITED ON USERS;
ALTER USER &&RISCHK TEMPORARY TABLESPACE RIS_TEMP;
